Tasuku
ReferenceAPI referenceSecrets

Create or rotate an encrypted repository credential override

Requires ADMIN or SUPER_USER. A repository credential shadows the instance credential with the same name. Plaintext is never returned.

PUT/organizations/{organization_id}/repositories/{repository_id}/secrets/{secret_name}

Requires ADMIN or SUPER_USER. A repository credential shadows the instance credential with the same name. Plaintext is never returned.

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
repository_id*string
Length1 <= length <= 128
secret_name*string
Match^[A-Z][A-Z0-9_]*$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/organizations/string/repositories/string/secrets/string" \  -H "Content-Type: application/json" \  -d '{    "value": "string"  }'
{  "data": {    "id": "string",    "organization_id": "string",    "repository_id": "string",    "scope": "ORGANIZATION",    "name": "string",    "fingerprint": "string",    "active_version": 1,    "configured": true,    "last_used_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}